Blender is not responding after minimizing [AMD]
Closed, ResolvedPublic

Description

System Information
OS: Windows 10 Home
CPU: Intel Core i7-6800K 3.4Ghz
RAM: 32 GB
GFX: ATI Radeon 480 RX

Blender Version
Blender: 2.78b, 2.78c

Short description of error
Blender stops respond after minimizing it by clicking on blender's taskbar icon

Exact steps for others to reproduce the error

  1. Start blender
  2. Make some changes (add couple of objects) to scene
  3. Minimize blender by clicking on BLENDER's TASKBAR ICON
  4. After it's minimized try to open it by clicking blender's taskbar icon again

Actual result
Blender app does not respond and stacked

I'm new here, but this has been happening on both my Windows 10 (ultimate) rigs on a very regular basis.
Minimize the blender program and its about 50/50 chance you lose all your unsaved work :(

Work machine:
xenon e5-2620 v4 CPU
w7100 firepro 8gb GPU
32gb RAM

Does this mostly in 2.78b and 2.78c, but occasionally happens in 2.78a

I realize leaving the window "unminimized" does the trick, but i would really like to see it be more stable.
I should note that im using a Wacom tablet, ive heard wacky things that crop up from those.

I was having the same problem.
I went to
User Preferences -->System --> Window Draw Method ---> and
UNchecked the box that says ... Region Overlap.

Then Save User Settings.

It seems to be helping... fingers crossed.

Aaron Carlisle (Blendify) triaged this task as "Incomplete" priority.Apr 11 2017, 12:19 AM

Its highly likely that this bug is specific to your hardware/driver configuration.
These kinds of display issues are often caused by OpenGL driver bugs.

While its possible a software error in Blender, its worth checking if this functions correctly...

  • After upgrading graphics card drivers.
  • On a different system (with different hardware/drivers).
  • Using a Software OpenGL renderer...
    • On Linux, Official releases come with blender-softwaregl
    • On MS-Windows: Downloading 'opengl32.dll' from download.blender.org/ftp/sergey/softwaregl and copying it so its located in the same directory as 'blender.exe'

If this is a driver bug, or we can't link to this to an error in Blender's code, the report may be closed as a driver error,
so please help us determine whether this is a bug in Blender or not.

Not that this is a common issue for AMD GPUs (try doing a google search for program not responding on minimising)

Aaron Carlisle (Blendify) changed Type from Bug to OpenGL Error.
Josh (JoshSix) added a subscriber: Josh (JoshSix).EditedApr 27 2017, 2:22 AM

I can confirm this bug. It's terribly annoying, i also installed the Opengl32.dll and the performance drops to almost making blender totally useless (The framerate on the viewport drops to 10fps).

System Information
OS: Windows 10 Home Edition 64 bit
CPU: Intel Core i5 3330 3.0Ghz
RAM: 16gb
GPU: Xfx Radeon RX 480 8gb
Blender Version: 2.78c

Aaron Carlisle (Blendify) lowered the priority of this task from "Incomplete" to "Low".May 5 2017, 4:16 AM

Why is this set to low? This should imo be set to high, as it is a crucial bug that hinders people using amd cards...

I might add that the bug gets "fixed" by switching the window draw mode to overlap or full... Idk this might help :)

Im kinda surprised this is a low priority as well, it happens to me on multiple machines on a regular basis. I'm compulsive when it comes to minimising windows when I switch to another task.

I guess I can't complain since it's a great free application still. But I wish a bug this big would be of higher importance. I assume this will gain some traction over some time.

-Greg

The issue here is that there is not much we can do. Has anyone tried reporting the bug to AMD with the link I gave?

@Aaron Carlisle (Blendify), what makes you say that there is not much we can do? Has this been investigated by a developer in another report?

If not I would keep this as a regular report in the tracker, this is not obviously a driver bug, and even if it is there might be a simple workaround.

Yes, reported the bug to AMD.

I'm testing Blender 2.78c on an AMD A10-7850, not seeing any issues. Tried different window draw methods, region overlap, nothing yet breaks it.

I will try other AMD GPUs later tonight.

Off the top of my head we should check handling of WM_ACTIVATE and WM_SIZE.

It is a gpu problem I think :/

Josh (JoshSix) added a comment.EditedMay 18 2017, 6:31 PM

Thanks Ole Larsen, changing the Window draw method from Automatic to Overlap did the trick for me.

Aaron Carlisle (Blendify) changed the title from "Blender is not responding after minimizing" to "Blender is not responding after minimizing [AMD]".Jun 9 2017, 4:22 AM

I don't know why this is not getting enough attention. We should make Blender use Overlap as 'Automatic' when it detects an affected card, not specify it manually.

I think I got this...had this hapening each time I turned off the discrete (AMD) GPU of a laptop to use only the apu: switch back to dual graphics and no problems.
Looks like triple buffering in User Preferencs > System > Window Draw Method is to blame and it should also be the one selected in ' Automatic'. All other options do not cause the freezing. Another thing I noticed is that it makes no difference if you enable triple buffering in your gpu driver options, it just doesnt like it on some models :P
Hope that helps...

I don't have a Windows machine to test, but perhaps P506 can solve it. Here's a build with that patch for testing:
https://drive.google.com/open?id=0B20-TmGdNuJzemRodWZydlN0OXM

Would be good to know if works and if there are any drawing artifacts (e.g. flickering when unminimizing).

Janek (Xerus) added a comment.EditedJun 24 2017, 7:00 PM

Okay, I just tested it.
It seems to work fine and I can't see any artifacts - Yei!

Btw: Would I be able to use that build or is other experimental stuff in there?

I doesn't contain any other stuff so it should be safe. Now that the fix is committed, tomorrow's build from builder.blender.org and 2.79 will have the fix as well.

Janek (Xerus) added a comment.EditedJun 25 2017, 12:36 AM

I'm a little confused now - these 3D previews come from the different blender versions (yours and official 2.78)
but obviously the bottom one, which is the experimental one, is different. The Render result is the same in both cases tho:

This has absolutely nothing to do with this bug, but I'd just like to know why that is

Works for me to. rx580 ;)